<?php
/**
 * General information about the JSPWiki-Import Plugin
 * 
 * @license    GPL 2 (http://www.gnu.org/licenses/gpl.html)
 * @author     Pascal Bihler <bihler@iai.uni-bonn.de>
 */
// must be run within Dokuwiki
if(!defined('DOKU_INC')) die();
require_once (DOKU_PLUGIN . 'action.php');

class action_plugin_jspwiki_import extends DokuWiki_Action_Plugin {

  /**
   * General Info
   *
   * Needs to return a associative array with the following values:
   *
   * author - Author of the plugin
   * email  - Email address to contact the author
   * date   - Last modified date of the plugin in YYYY-MM-DD format
   * name   - Name of the plugin
   * desc   - Short description of the plugin (Text only)
   * url    - Website with more information on the plugin (eg. syntax description)
   */
  function getInfo(){
    return array(
		 'author' => 'Pascal Bihler',
		 'email'  => 'bihler@iai.uni-bonn.de',
		 'date'   => '2007-05-11',
		 'name'   => 'JspWiki Import,
		 'desc'   => 'Allows to convert JspWiki syntax into DokuWiki syntax',
		 'url'    => 'http://wiki.splitbrain.org/plugin:jspwiki_import'
		 );  
  }
  
  function register(&$controller) {
  	//Nothing to do, since it's all javascript
  }
}
